<?php
namespace Modules\Additional\Specifique\Client30\Modules\API\Rules;

use Psr\Http\Message\ServerRequestInterface;

// @phpcs:ignore
class SharePoint
{
    /** @var ServerRequestInterFace $request */
    protected ServerRequestInterface $request;
    
    /** @var \PDO $pdo */
    protected \PDO $pdo;
    
    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }


    /**
     * @return bool
     */
    public function batchCreateDA(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function batchUpdateDA(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function batchDeactivateDA(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function batchCreateAO(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function batchCreateOP(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function batchCreateCDE(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function batchUpdateCDE(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function batchCreateAVN(): bool
    {
        return true;
    }
}
